package cz.jzitnik.game.entities.items.registry.blocks.grassy;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.*;
import cz.jzitnik.game.core.sound.SoundKey;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.logic.services.saplings.SaplingData;

@MineSound(SoundKey.GRASS)
@PlaceSound(SoundKey.GRASS)
@WalkSound(SoundKey.GRASS_WALKING)
@MiningSound(SoundKey.GRASS_MINING)
@Sapling
@PlaceOnSolid
@ResetDataOnMine
@BlockRegistry("oak_sapling")
public class OakSaplingBlock extends Block {
    public OakSaplingBlock() {
        super("oak_sapling", SpriteLoader.SPRITES.OAK_SAPLING, 0);
        setData(new SaplingData());
        setGhost(true);
    }
}
